/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VMaelstromTaxonomy;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VMaelstromTaxonomyRecord extends TableRecordImpl<VMaelstromTaxonomyRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_maelstrom_taxonomy.taxonomy</code>.
     */
    public void setTaxonomy(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_maelstrom_taxonomy.taxonomy</code>.
     */
    public String getTaxonomy() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_maelstrom_taxonomy.vocabulary</code>.
     */
    public void setVocabulary(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_maelstrom_taxonomy.vocabulary</code>.
     */
    public String getVocabulary() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_maelstrom_taxonomy.term</code>.
     */
    public void setTerm(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_maelstrom_taxonomy.term</code>.
     */
    public String getTerm() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_maelstrom_taxonomy.string_agg</code>.
     */
    public void setStringAgg(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_maelstrom_taxonomy.string_agg</code>.
     */
    public String getStringAgg() {
        return (String) get(3);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VMaelstromTaxonomyRecord
     */
    public VMaelstromTaxonomyRecord() {
        super(VMaelstromTaxonomy.V_MAELSTROM_TAXONOMY);
    }

    /**
     * Create a detached, initialised VMaelstromTaxonomyRecord
     */
    public VMaelstromTaxonomyRecord(String taxonomy, String vocabulary, String term, String stringAgg) {
        super(VMaelstromTaxonomy.V_MAELSTROM_TAXONOMY);

        setTaxonomy(taxonomy);
        setVocabulary(vocabulary);
        setTerm(term);
        setStringAgg(stringAgg);
        resetChangedOnNotNull();
    }
}
